## distro-info 1.5+deb12u1

=== Makefile ===
define \n


endef

PREFIX ?= /usr
VENDOR ?= $(shell dpkg-vendor --query Vendor | tr '[:upper:]' '[:lower:]')

CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
CFLAGS += -Wall -Wextra -g -O2 -std=gnu99
LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)

build: debian-distro-info ubuntu-distro-info

%-distro-info: %-distro-info.c distro-info-util.*
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $<

install: debian-distro-info ubuntu-distro-info
	install -d $(DESTDIR)$(PREFIX)/bin
	install -m 755 $^ $(DESTDIR)$(PREFIX)/bin
	ln -s $(VENDOR)-distro-info $(DESTDIR)$(PREFIX)/bin/distro-info
	install -d $(DESTDIR)$(PREFIX)/share/man/man1
	install -m 644 $(wildcard doc/*.1) $(DESTDIR)$(PREFIX)/share/man/man1
	install -d $(DESTDIR)$(PREFIX)/share/perl5/Debian
	install -m 644 $(wildcard perl/Debian/*.pm) $(DESTDIR)$(PREFIX)/share/perl5/Debian
	cd python && python3 setup.py install --root="$(DESTDIR)" --no-compile --install-layout=deb

test: test-commandline test-perl test-python

test-commandline: debian-distro-info ubuntu-distro-info
	./test-debian-distro-info
	./test-ubuntu-distro-info

test-perl:
	cd perl && ./test.pl

test-python:
	$(foreach python,$(shell py3versions -r),cd python && $(python) setup.py test$(\n))

clean:
	rm -rf debian-distro-info ubuntu-distro-info python/build python/*.egg-info python/.pylint.d
	find python -name '*.pyc' -delete

.PHONY: build clean install test test-commandline test-perl test-python

=== debian/changelog ===
distro-info (1.5+deb12u1) bookworm; urgency=medium

  * Update tests for distro-info-data 0.58+deb12u1, which adjusted Debian 7's
    EoL (Closes: #1054946)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 29 Oct 2023 10:33:15 +0200

=== debian/control ===
Source: distro-info
Section: devel
Priority: optional
Maintainer: Benjamin Drung <bdrung@debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>
Build-Depends: black <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-python3,
               distro-info-data (>= 0.58+deb12u1~) <!nocheck>,
               isort <!nocheck>,
               mypy [!i386] <!nocheck>,
               pylint (>= 2.2.2-2~) <!nocheck>,
               python3-all,
               python3-flake8 <!nocheck>,
               python3-setuptools,
               python3-typeshed <!nocheck>,
               shunit2 <!nocheck>
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/distro-info.git
Vcs-Browser: https://salsa.debian.org/debian/distro-info

Package: distro-info
Architecture: any
Depends: distro-info-data (>= 0.46), ${misc:Depends}, ${shlibs:Depends}
Suggests: shunit2
Description: provides information about the distributions' releases
 Information about all releases of Debian and Ubuntu. The distro-info script
 will give you the codename for e.g. the latest stable release of your
 distribution. To get information about a specific distribution there are the
 debian-distro-info and the ubuntu-distro-info scripts.

Package: libdistro-info-perl
Architecture: all
Section: perl
Depends: distro-info-data (>= 0.46), ${misc:Depends}, ${perl:Depends}
Multi-Arch: foreign
Description: information about distributions' releases (Perl module)
 Information about all releases of Debian and Ubuntu.
 .
 This package contains a Perl module for parsing the data in distro-info-data.
 There is also a command line interface in the distro-info package.

Package: python3-distro-info
Architecture: all
Section: python
Depends: distro-info-data (>= 0.46), ${misc:Depends}, ${python3:Depends}
Description: information about distributions' releases (Python 3 module)
 Information about all releases of Debian and Ubuntu.
 .
 This package contains a Python 3 module for parsing the data in
 distro-info-data. There is also a command line interface in the distro-info
 package.

=== debian/tests/control ===
Test-Command: COMMAND=/usr/bin/debian-distro-info ./test-debian-distro-info
Depends: distro-info, shunit2 (>= 2.1.6)
Features: test-name=test-debian-distro-info

Test-Command: COMMAND=/usr/bin/ubuntu-distro-info ./test-ubuntu-distro-info
Depends: distro-info, shunit2 (>= 2.1.6)
Features: test-name=test-ubuntu-distro-info

Test-Command: cp -r python/distro_info_test python/*-distro-info python/setup.py "$AUTOPKGTEST_TMP"; for py in $(py3versions -r 2>/dev/null); do cd "$AUTOPKGTEST_TMP"; echo "Testing with $py:"; $py -m unittest discover -v; done
Depends: black,
         isort,
         mypy [!i386],
         pylint (>= 2.2.2-2~) | pylint3,
         python3-all,
         python3-distro-info,
         python3-flake8,
         python3-typeshed
Restrictions: allow-stderr
Features: test-name=python3-unittest

## distro-info 1.7

=== debian/changelog ===
distro-info (1.7) unstable; urgency=medium

  * Update tests for distro-info-data 0.59, which adjusted Debian 7's EoL
    (Closes: #1054946)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 29 Oct 2023 10:46:52 +0200

distro-info (1.6) unstable; urgency=medium

  * python: mark distro_info with py.typed marker (Closes: #1053936)
  * Let distro-info programs respect SOURCE_DATE_EPOCH (Closes: #1034422)

 -- Benjamin Drung <bdrung@debian.org>  Thu, 26 Oct 2023 00:16:50 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: black <!nocheck>,
                debhelper-compat (= 13),
                dh-sequence-python3,
-               distro-info-data (>= 0.58+deb12u1~) <!nocheck>,
+               distro-info-data (>= 0.59~) <!nocheck>,
                isort <!nocheck>,
                mypy [!i386] <!nocheck>,
                pylint (>= 2.2.2-2~) <!nocheck>,
@@ -22,7 +22,7 @@
 
 Package: distro-info
 Architecture: any
-Depends: distro-info-data (>= 0.46), ${misc:Depends}, ${shlibs:Depends}
+Depends: distro-info-data (>= 0.59~), ${misc:Depends}, ${shlibs:Depends}
 Suggests: shunit2
 Description: provides information about the distributions' releases
  Information about all releases of Debian and Ubuntu. The distro-info script
@@ -33,7 +33,7 @@
 Package: libdistro-info-perl
 Architecture: all
 Section: perl
-Depends: distro-info-data (>= 0.46), ${misc:Depends}, ${perl:Depends}
+Depends: distro-info-data (>= 0.59~), ${misc:Depends}, ${perl:Depends}
 Multi-Arch: foreign
 Description: information about distributions' releases (Perl module)
  Information about all releases of Debian and Ubuntu.

## distro-info 1.7build1

=== debian/changelog ===
distro-info (1.7build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:56:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: distro-info
 Section: devel
 Priority: optional
-Maintainer: Benjamin Drung <bdrung@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: black <!nocheck>,
                debhelper-compat (= 13),

## distro-info 1.8

=== debian/changelog ===
distro-info (1.8) unstable; urgency=medium

  [ Stefano Rivera ]
  * Python: Stop using setup.py test. (Closes: #1080213)

  [ Colin Watson ]
  * python: Tighten types of various DistroInfo methods

  [ Benjamin Drung ]
  * Bump Standards-Version 4.7.0

 -- Benjamin Drung <bdrung@debian.org>  Fri, 27 Sep 2024 13:27:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: distro-info
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Benjamin Drung <bdrung@debian.org>
+Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: black <!nocheck>,
                debhelper-compat (= 13),
@@ -16,7 +15,7 @@
                python3-setuptools,
                python3-typeshed <!nocheck>,
                shunit2 <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/distro-info.git
 Vcs-Browser: https://salsa.debian.org/debian/distro-info

## distro-info 1.9

=== debian/changelog ===
distro-info (1.9) unstable; urgency=medium

  * Run black and isort only in GitLab CI

 -- Benjamin Drung <bdrung@debian.org>  Mon, 30 Sep 2024 23:00:33 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,9 @@
 Priority: optional
 Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
-Build-Depends: black <!nocheck>,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                distro-info-data (>= 0.59~) <!nocheck>,
-               isort <!nocheck>,
                mypy [!i386] <!nocheck>,
                pylint (>= 2.2.2-2~) <!nocheck>,
                python3-all,

=== debian/tests/control ===
--- 
+++ 
@@ -7,9 +7,7 @@
 Features: test-name=test-ubuntu-distro-info
 
 Test-Command: cp -r python/distro_info_test python/*-distro-info python/setup.py "$AUTOPKGTEST_TMP"; for py in $(py3versions -r 2>/dev/null); do cd "$AUTOPKGTEST_TMP"; echo "Testing with $py:"; $py -m unittest discover -v; done
-Depends: black,
-         isort,
-         mypy [!i386],
+Depends: mypy [!i386],
          pylint (>= 2.2.2-2~) | pylint3,
          python3-all,
          python3-distro-info,

## distro-info 1.11

=== debian/changelog ===
distro-info (1.11) unstable; urgency=medium

  * Bump pylint minimum version. (Closes: #1084247)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 12 Oct 2024 10:12:40 -0700

distro-info (1.10) unstable; urgency=medium

  * python: Disable pylint's too-many-positional-arguments (Closes: #1084247)

 -- Benjamin Drung <bdrung@debian.org>  Mon, 07 Oct 2024 12:13:16 +0200

## distro-info 1.12

=== debian/changelog ===
distro-info (1.12) unstable; urgency=medium

  [ James Addison ]
  * python: add release filtering by SOURCE_DATE_EPOCH (Closes: #1085112)

 -- Benjamin Drung <bdrung@debian.org>  Wed, 16 Oct 2024 14:13:02 +0200

=== debian/tests/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Test-Command: cp -r python/distro_info_test python/*-distro-info python/setup.py "$AUTOPKGTEST_TMP"; for py in $(py3versions -r 2>/dev/null); do cd "$AUTOPKGTEST_TMP"; echo "Testing with $py:"; $py -m unittest discover -v; done
 Depends: mypy [!i386],
-         pylint (>= 2.2.2-2~) | pylint3,
+         pylint (>= 3.3.0),
          python3-all,
          python3-distro-info,
          python3-flake8,

## distro-info 1.13

=== debian/changelog ===
distro-info (1.13) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * autopkgtests: the unittests need setuptools installed.

  [ Stefano Rivera ]
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 22 Jan 2025 19:33:12 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-sequence-python3,
                distro-info-data (>= 0.59~) <!nocheck>,
                mypy [!i386] <!nocheck>,
-               pylint (>= 2.2.2-2~) <!nocheck>,
+               pylint (>= 3.3.0) <!nocheck>,
                python3-all,
                python3-flake8 <!nocheck>,
                python3-setuptools,

## distro-info 1.14

=== Makefile ===
--- 
+++ 
@@ -36,7 +36,7 @@
 	cd perl && ./test.pl
 
 test-python:
-	$(foreach python,$(shell py3versions -r),cd python && $(python) setup.py test$(\n))
+	$(foreach python,$(shell py3versions -r),cd python && $(python) -m unittest discover$(\n))
 
 clean:
 	rm -rf debian-distro-info ubuntu-distro-info python/build python/*.egg-info python/.pylint.d

=== debian/changelog ===
distro-info (1.14) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Annotate python3-all dependency with :native. (Closes: #1108108)

  [ Benjamin Drung ]
  * Bump Standards-Version to 4.7.2

 -- Benjamin Drung <bdrung@debian.org>  Mon, 07 Jul 2025 21:35:57 +0200

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
                distro-info-data (>= 0.59~) <!nocheck>,
                mypy [!i386] <!nocheck>,
                pylint (>= 3.3.0) <!nocheck>,
-               python3-all,
+               python3-all:native,
                python3-flake8 <!nocheck>,
                python3-setuptools,
                python3-typeshed <!nocheck>,
                shunit2 <!nocheck>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/distro-info.git
 Vcs-Browser: https://salsa.debian.org/debian/distro-info

=== debian/tests/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
          python3-all,
          python3-distro-info,
          python3-flake8,
+         python3-setuptools,
          python3-typeshed
 Restrictions: allow-stderr
 Features: test-name=python3-unittest

## distro-info 1.14build1

=== debian/changelog ===
distro-info (1.14build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Feb 2026 21:30:25 +0100

## distro-info 1.15

=== debian/changelog ===
distro-info (1.15) unstable; urgency=medium

  * test: Fix testAlias when SOURCE_DATE_EPOCH is set to 2030 (Closes: #1127115)
  * Remove redundant Rules-Requires-Root
  * Remove redundant priority optional field
  * Bump Standards-Version to 4.7.3

 -- Benjamin Drung <bdrung@debian.org>  Mon, 16 Feb 2026 23:18:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: distro-info
 Section: devel
-Priority: optional
 Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper-compat (= 13),
@@ -13,8 +12,7 @@
                python3-setuptools,
                python3-typeshed <!nocheck>,
                shunit2 <!nocheck>
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/debian/distro-info.git
 Vcs-Browser: https://salsa.debian.org/debian/distro-info
